# Module `RadioGroup`

Radio group module

## Functions

init(self, nodes, callback[, click_nodes=node]) | Component init function
set_state(self, index) | Set radio group state
get_state(self) | Return radio group state

## Fields

on_radio_click | On any checkbox click

## Functions

init(self, nodes, callback[, click_nodes=node])
  Component init function

  ### Parameters:

  - self RadioGroup
  - nodes node[] Array of gui node
  - callback function Radio callback
  - click_nodes node[] Array of trigger nodes, by default equals to nodes (default node)
set_state(self, index)
  Set radio group state

  ### Parameters:

  - self RadioGroup
  - index number Index in radio group
get_state(self)
  Return radio group state

  ### Parameters:

  - self RadioGroup

  ### Returns:

  number Index in radio group

## Fields

on_radio_click
  On any checkbox click
  - on_radio_click druid_event

generated by LDoc 1.4.6 Last updated 2020-10-12 00:44:30